Bug 1476029 - segmentation fault
segmentation fault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-qt5 (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 17:36 EDT by Tobias Gehring
Modified: 2017-11-28 11:21 EST (History)
3 users (show)

See Also:
Fixed In Version: python-qt5-5.9.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 11:21:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Gehring 2017-07-27 17:36:26 EDT
Description of problem:
Segmentation fault when sub-classing a mixin class with a meta class.


Version-Release number of selected component (if applicable):
up-to-date Fedora 26
python3-qt5.x86_64                  5.8.1-3.fc26
qt5.noarch                          5.8.0-2.fc26
python3.x86_64                      3.6.2-1.fc26


How reproducible:

import PyQt5.QtCore as QtCore


class ModuleMeta(type(QtCore.QObject)):
    pass



class AMixin(metaclass=ModuleMeta):
    pass


class B(AMixin):
    pass


Actual results:
Segmentation fault (core dumped)
I'm happy to share the core dump if someone tells me how to retrieve it.


Expected results:
no segmentation fault


Additional info:
Note that the segmentation fault does not appear if AMixin is a subclass of QObject, i.e. not a mixin.
Comment 1 Tobias Gehring 2017-07-27 17:37:20 EDT
it did not happen on fc25.
Comment 2 Tobias Gehring 2017-07-28 15:38:44 EDT
upgrading pyqt5 using "pip3 install --user pyqt5" to version 5.9 fixes the problem.
Comment 3 Fedora Update System 2017-11-14 09:50:27 EST
python-qt5-5.9.1-1.fc27 sip-4.19.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0a93dc30e
Comment 4 Fedora Update System 2017-11-14 09:52:04 EST
python-qt5-5.9.1-1.fc26 sip-4.19.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c41cbfe9a2
Comment 5 Fedora Update System 2017-11-16 12:18:58 EST
python-qt5-5.9.1-1.fc26, sip-4.19.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c41cbfe9a2
Comment 6 Fedora Update System 2017-11-28 11:21:34 EST
python-qt5-5.9.1-1.fc26, sip-4.19.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.